Page MenuHomePhabricator

CentralNotice: JS selection widgets no longer work in interface to add a campaign
Closed, ResolvedPublic

Description

It seems this regression was introduced in in Admin UI campaign editor: Isolate and selectively load js/css (Change-Id Id03d141775c227bd3dcf081bfc6b7dbd51bac01f).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2017, 11:50 PM

Change 368531 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Add ext.centralNotice.adminUi module back to campaign list view

https://gerrit.wikimedia.org/r/368531

Change 368531 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Add ext.centralNotice.adminUi module back to campaign list view

https://gerrit.wikimedia.org/r/368531

Ejegg added a subscriber: Ejegg.Sep 19 2017, 10:30 PM

@AndyRussG this is fixed and deployed, right?

@Ejegg no, sadly, it's not... Gotta do so!! Thx for checking :)

Change 381048 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@wmf_deploy] Add ext.centralNotice.adminUi module back to campaign list view

https://gerrit.wikimedia.org/r/381048

Change 381048 abandoned by AndyRussG:
Add ext.centralNotice.adminUi module back to campaign list view

Reason:
Re-submitting with message about cherry-pick

https://gerrit.wikimedia.org/r/381048

Change 381048 restored by AndyRussG:
Add ext.centralNotice.adminUi module back to campaign list view

Reason:
Gerrit silliness

https://gerrit.wikimedia.org/r/381048

Change 381048 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf_deploy] Add ext.centralNotice.adminUi module back to campaign list view

https://gerrit.wikimedia.org/r/381048

Mentioned in SAL (#wikimedia-operations) [2017-09-27T18:46:20Z] <catrope@tin> Finished scap: SWAT: T176762, T175358, T172023, T174719, and add html5-misnesting to Linter (duration: 22m 55s)

Ejegg assigned this task to AndyRussG.Sep 27 2017, 9:51 PM
Ejegg triaged this task as Medium priority.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Synchronized Screaming board.
AndyRussG closed this task as Resolved.Oct 10 2017, 8:08 PM